/*
 * Copyright 2011 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.dom.builder.shared;

/**
 * Tests for {@link HtmlTitleBuilder}.
 */
public class HtmlTitleBuilderTest extends ElementBuilderTestBase<TitleBuilder> {

  @Override
  protected TitleBuilder createElementBuilder(ElementBuilderFactory factory) {
    return HtmlBuilderFactory.get().createTitleBuilder();
  }

  @Override
  protected TitleBuilder endElement(ElementBuilderBase<?> builder) {
    return ((HtmlElementBuilderBase<?>) builder).endTitle();
  }

  @Override
  protected ElementBuilderFactory[] getFactories() {
    // Only supported by HTML implementation.
    return new ElementBuilderFactory[]{HtmlBuilderFactory.get()};
  }

  @Override
  protected TitleBuilder startElement(ElementBuilderBase<?> builder) {
    return ((HtmlElementBuilderBase<?>) builder).startTitle();
  }
}
